.. _misc:

****
Misc
****

.. _exceptions:

Exceptions
==========

.. automodule:: swift.common.exceptions
    :members:
    :undoc-members:
    :show-inheritance:

.. _constraints:

Constraints
===========

.. automodule:: swift.common.constraints
    :members:
    :undoc-members:
    :show-inheritance:

.. _utils:

Utils
=====

.. automodule:: swift.common.utils
    :members:
    :show-inheritance:

.. _common_tempauth:

TempAuth
========

.. automodule:: swift.common.middleware.tempauth
    :members:
    :show-inheritance:

.. _acls:

ACLs
====

.. automodule:: swift.common.middleware.acl
    :members:
    :show-inheritance:

.. _wsgi:

WSGI
====

.. automodule:: swift.common.wsgi
    :members:
    :show-inheritance:

.. _client:

Client
======

.. automodule:: swift.common.client
    :members:
    :undoc-members:
    :show-inheritance:

.. _direct_client:

Direct Client
=============

.. automodule:: swift.common.direct_client
    :members:
    :undoc-members:
    :show-inheritance:

.. _buffered_http:

Buffered HTTP
=============

.. automodule:: swift.common.bufferedhttp
    :members:
    :show-inheritance:

.. _healthcheck:

Healthcheck
===========

.. automodule:: swift.common.middleware.healthcheck
    :members:
    :show-inheritance:

.. _recon:

Recon
===========

.. automodule:: swift.common.middleware.recon
    :members:
    :show-inheritance:

.. _memecached:

MemCacheD
=========

.. automodule:: swift.common.memcached
    :members:
    :show-inheritance:

Manager
=========

.. automodule:: swift.common.manager
    :members:
    :show-inheritance:

Ratelimit
=========

.. automodule:: swift.common.middleware.ratelimit
    :members:
    :show-inheritance:

Swift3
======

.. automodule:: swift.common.middleware.swift3
    :members:
    :show-inheritance:

StaticWeb
=========

.. automodule:: swift.common.middleware.staticweb
    :members:
    :show-inheritance:
